View Issue Details

IDProjectCategoryView StatusLast Update
0003326SOGoGUIpublic2016-05-13 15:57
Reporterwar Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version14.04 LTS
Product Version2.3.1 
Fixed in Version3.1.0 
Summary0003326: Web Calendar subscription broken?
Description

Subscribe to a web calendar offers a dialog to enter the URL.
Enter a URL to a working calendar (copy from Thunderbird and/or Android) ->
brings up:

Warning

An error occurred while loading remote calendar: the url in use is invalid or the host is currently unreachable.
[OK]

Steps To Reproduce

Tried with several calendars

TagsNo tags attached.

Activities

mzeedijk

mzeedijk

2015-08-28 06:31

reporter   ~0008874

Ubuntu 14.04LTS now uses Thunderbird 38 instead of 31. There is some incompatibility with Lightning and the frontend components. eg. Changing a color of a calendar will not be properly communicated to the server, but results in an error (in the error console).

bengcooper

bengcooper

2015-09-10 06:32

reporter   ~0008908

Adding a web calendar (via SoGo web GUI) also appears to be broken for me - the vcalendar data can be validated by an external tool and can be successfully imported into Google Calendar and Office 365.

francis

francis

2015-09-15 16:07

administrator   ~0008917

Anything in the logs?

I can successfully subscribe to a Web calendar from Google, such as this one:

https://www.google.com/calendar/ical/en-gb.canadian%23holiday%40group.v.calendar.google.com/public/basic.ics

war

war

2015-09-16 07:05

reporter   ~0008919

No log entries. It simply does not do it.

Sorry.

francis

francis

2015-09-16 08:32

administrator   ~0008921

Do you have a URL I can test?

war

war

2015-09-25 17:26

reporter   ~0008965

All of my calendars require password authentication (using different user names and passwords).
The error occurs immediately after entering the URL and committing.

Try this:
https://mail.sphinx.at/service/user/wrogner@s4s.at/Calendar?fmt=ics

You should get the error immediately

Related Changesets

sogo: master e396e294

2016-05-13 15:50:24

francis

Details Diff
Fix handling of Web calendars

- handle Web calendars that require authentication;
- properly save the "reload on login" option;
- reload Web calendars when clicking on the reload button on top of the
events/tasks list;
- properly activate the checkbox of new calendars (as they are enabled
by default).

Fixes 0003326
Affected Issues
0003326
mod - NEWS Diff File
mod - SoObjects/Appointments/SOGoWebAppointmentFolder.m Diff File
mod - UI/Common/English.lproj/Localizable.strings Diff File
mod - UI/Common/UIxFolderActions.m Diff File
mod - UI/Scheduler/UIxCalFolderActions.m Diff File
mod - UI/Scheduler/UIxCalendarProperties.m Diff File
mod - UI/Templates/SchedulerUI/UIxCalMainView.wox Diff File
mod - UI/WebServerResources/js/Common/Resource.service.js Diff File
mod - UI/WebServerResources/js/Scheduler/Calendar.service.js Diff File
mod - UI/WebServerResources/js/Scheduler/CalendarListController.js Diff File
mod - UI/WebServerResources/js/Scheduler/CalendarsController.js Diff File

Issue History

Date Modified Username Field Change
2015-08-28 05:56 war New Issue
2015-08-28 06:31 mzeedijk Note Added: 0008874
2015-09-10 06:32 bengcooper Note Added: 0008908
2015-09-15 16:07 francis Note Added: 0008917
2015-09-16 07:05 war Note Added: 0008919
2015-09-16 08:32 francis Note Added: 0008921
2015-09-25 13:22 ludovic Severity major => minor
2015-09-25 13:22 ludovic Status new => feedback
2015-09-25 17:26 war Note Added: 0008965
2015-09-25 17:26 war Status feedback => new
2016-05-13 15:56 francis Changeset attached => sogo master e396e294
2016-05-13 15:56 francis Assigned To => francis
2016-05-13 15:56 francis Resolution open => fixed
2016-05-13 15:57 francis Status new => resolved
2016-05-13 15:57 francis Fixed in Version => 3.1.0